Subject: RE: UTF-8 in Internet Drafts (was Re: [idn] I-D ACTION:draft-jsen g-idn-admin-01.txt)

From: Harald Tveit Alvestrand <[email-masked]>
Date: Fri, 01 Nov 2002 20:03:17 +0800

--On 31. oktober 2002 16:06 -0500 John C Klensin <[email-masked]> wrote:

>> I-Ds can be submitted in PostScript format if that helps,
>> though a text version (that can be different due to issues
>> with figures and non-ASCII characters) is still required to
>> have both published.
>
> Assuming, obviously incorrectly, that the same "simultaneous
> posting in text and PS or PDF" principle applied to I-Ds as
> well as RFCs, this one was sent to the I-D administrator in
> text and pdf formats.  The latter was discarded.   If we would
> like a PDF alternative, I think that is a small matter of the
> IESG expanding the rules.

There are currently quite a few PDF files in the internet-drafts 
direcories, and I don't think they got there by accident.

I'm checking with the secretariat to figure out whether they think it was 
lost through clerical error on their side or on the sender's side.

               Harald

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Fri, 01 Nov 2002 20:08:16 +0800

--On 31. oktober 2002 16:06 -0500 John C Klensin <[email-masked]> wrote:

> James and
> the rest of the JET team have been discussing (at my request)
> ways to present the characters in ASCII text that would make
> the document more comprehensible than the code points alone
> for those reading the document in ASCII text.

advertising someone else's code, and only tangentially relevant to this 
list.....

there's a Perl package out on CPAN called "unidecode", maintained by Sean 
Burke. It can be used to generate ASCII strings from any sequence of 
Unicode codepoints; in some cases, these ASCII strings can remind people 
what the characters were supposed to mean.

For Chinese, for instance, it spits out something resembling Pinyin 
(probably *is* Pinyin, but I don't know enough to guarantee that).

Health warning: I've only played with it....

                    Harald